<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.22
Name: MTS-Indikatoren ROT
Description: MTS-Indikatoren ROT
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015">
   <title>MTS-Indikatoren ROT</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]
Item: (mts-indikatoren-rot)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]
Item: (mts-indikatoren-rot)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]"
         id="d42e1746-false-d25097e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="string(@classCode) = ('OBS')">(mts-indikatoren-rot): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="string(@moodCode) = ('EVN')">(mts-indikatoren-rot): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']) &gt;= 1">(mts-indikatoren-rot): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']) &lt;= 1">(mts-indikatoren-rot): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:code[(@code = 'SCTPOCC-49499008' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]) &gt;= 1">(mts-indikatoren-rot): Element hl7:code[(@code = 'SCTPOCC-49499008' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:code[(@code = 'SCTPOCC-49499008' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]) &lt;= 1">(mts-indikatoren-rot): Element hl7:code[(@code = 'SCTPOCC-49499008' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:text) &lt;= 1">(mts-indikatoren-rot): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(mts-indikatoren-rot): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(mts-indikatoren-rot): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:value) &gt;= 1">(mts-indikatoren-rot): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:value) &lt;= 1">(mts-indikatoren-rot): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']
Item: (mts-indikatoren-rot)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']"
         id="d42e1752-false-d25158e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.22')">(mts-indikatoren-rot): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.22' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:code[(@code = 'SCTPOCC-49499008' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]
Item: (mts-indikatoren-rot)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:code[(@code = 'SCTPOCC-49499008' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]"
         id="d42e1757-false-d25170e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="@nullFlavor or (@code='SCTPOCC-49499008' and @codeSystem='1.2.276.0.76.3.1.195.5.99' and @displayName='MTS-Indikatoren ROT')">(mts-indikatoren-rot): Der Elementinhalt MUSS einer von 'code 'SCTPOCC-49499008' codeSystem '1.2.276.0.76.3.1.195.5.99' displayName='MTS-Indikatoren ROT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:text
Item: (mts-indikatoren-rot)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:text"
         id="d42e1762-false-d25183e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(mts-indikatoren-rot): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:reference) &gt;= 1">(mts-indikatoren-rot): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="count(hl7:reference) &lt;= 1">(mts-indikatoren-rot): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:text/hl7:reference
Item: (mts-indikatoren-rot)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:text/hl7:reference"
         id="d42e1767-false-d25202e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(mts-indikatoren-rot): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:statusCode[@code = 'completed']
Item: (mts-indikatoren-rot)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:statusCode[@code = 'completed']"
         id="d42e1771-false-d25213e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="@nullFlavor or (@code='completed')">(mts-indikatoren-rot): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.22
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:value
Item: (mts-indikatoren-rot)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.22']]/hl7:value"
         id="d42e1776-false-d25229e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(mts-indikatoren-rot): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
