<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.23
Name: MTS-Indikatoren ORANGE
Description: MTS-Indikatoren ORANGE
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015">
   <title>MTS-Indikatoren ORANGE</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.23
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]
Item: (mts-indikatoren-orange)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.23
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]
Item: (mts-indikatoren-orange)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]"
         id="d42e1794-false-d25261e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="string(@classCode) = ('OBS')">(mts-indikatoren-orange): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="string(@moodCode) = ('EVN')">(mts-indikatoren-orange): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']) &gt;= 1">(mts-indikatoren-orange): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']) &lt;= 1">(mts-indikatoren-orange): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:code[(@code = 'SCTPOCC-25876001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]) &gt;= 1">(mts-indikatoren-orange): Element hl7:code[(@code = 'SCTPOCC-25876001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:code[(@code = 'SCTPOCC-25876001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]) &lt;= 1">(mts-indikatoren-orange): Element hl7:code[(@code = 'SCTPOCC-25876001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:text) &lt;= 1">(mts-indikatoren-orange): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(mts-indikatoren-orange): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(mts-indikatoren-orange): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:value) &gt;= 1">(mts-indikatoren-orange): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:value) &lt;= 1">(mts-indikatoren-orange): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.23
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']
Item: (mts-indikatoren-orange)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']"
         id="d42e1800-false-d25322e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.23')">(mts-indikatoren-orange): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.23' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.23
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:code[(@code = 'SCTPOCC-25876001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]
Item: (mts-indikatoren-orange)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:code[(@code = 'SCTPOCC-25876001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]"
         id="d42e1805-false-d25334e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="@nullFlavor or (@code='SCTPOCC-25876001' and @codeSystem='1.2.276.0.76.3.1.195.5.99' and @displayName='MTS-Indikatoren ORANGE')">(mts-indikatoren-orange): Der Elementinhalt MUSS einer von 'code 'SCTPOCC-25876001' codeSystem '1.2.276.0.76.3.1.195.5.99' displayName='MTS-Indikatoren ORANGE'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.23
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:text
Item: (mts-indikatoren-orange)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:text"
         id="d42e1810-false-d25347e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(mts-indikatoren-orange): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:reference) &gt;= 1">(mts-indikatoren-orange): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="count(hl7:reference) &lt;= 1">(mts-indikatoren-orange): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.23
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:text/hl7:reference
Item: (mts-indikatoren-orange)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:text/hl7:reference"
         id="d42e1815-false-d25366e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(mts-indikatoren-orange): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.23
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:statusCode[@code = 'completed']
Item: (mts-indikatoren-orange)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:statusCode[@code = 'completed']"
         id="d42e1819-false-d25377e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="@nullFlavor or (@code='completed')">(mts-indikatoren-orange): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.23
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:value
Item: (mts-indikatoren-orange)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.23']]/hl7:value"
         id="d42e1824-false-d25393e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(mts-indikatoren-orange): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
