<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.24
Name: MTS-Indikatoren GELB
Description: MTS-Indikatoren GELB
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015">
   <title>MTS-Indikatoren GELB</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]
Item: (mts-indikatoren-gelb)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]
Item: (mts-indikatoren-gelb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]"
         id="d42e1842-false-d25425e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="string(@classCode) = ('OBS')">(mts-indikatoren-gelb): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="string(@moodCode) = ('EVN')">(mts-indikatoren-gelb): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']) &gt;= 1">(mts-indikatoren-gelb): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']) &lt;= 1">(mts-indikatoren-gelb): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:code[(@code = 'SCTPOCC-103391001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]) &gt;= 1">(mts-indikatoren-gelb): Element hl7:code[(@code = 'SCTPOCC-103391001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:code[(@code = 'SCTPOCC-103391001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]) &lt;= 1">(mts-indikatoren-gelb): Element hl7:code[(@code = 'SCTPOCC-103391001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:text) &lt;= 1">(mts-indikatoren-gelb): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(mts-indikatoren-gelb): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(mts-indikatoren-gelb): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:value) &gt;= 1">(mts-indikatoren-gelb): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:value) &lt;= 1">(mts-indikatoren-gelb): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']
Item: (mts-indikatoren-gelb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']"
         id="d42e1848-false-d25486e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.24')">(mts-indikatoren-gelb): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.24' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:code[(@code = 'SCTPOCC-103391001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]
Item: (mts-indikatoren-gelb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:code[(@code = 'SCTPOCC-103391001' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]"
         id="d42e1853-false-d25498e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="@nullFlavor or (@code='SCTPOCC-103391001' and @codeSystem='1.2.276.0.76.3.1.195.5.99' and @displayName='MTS-Indikatoren GELB')">(mts-indikatoren-gelb): Der Elementinhalt MUSS einer von 'code 'SCTPOCC-103391001' codeSystem '1.2.276.0.76.3.1.195.5.99' displayName='MTS-Indikatoren GELB'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:text
Item: (mts-indikatoren-gelb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:text"
         id="d42e1858-false-d25511e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(mts-indikatoren-gelb): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:reference) &gt;= 1">(mts-indikatoren-gelb): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="count(hl7:reference) &lt;= 1">(mts-indikatoren-gelb): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:text/hl7:reference
Item: (mts-indikatoren-gelb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:text/hl7:reference"
         id="d42e1863-false-d25530e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(mts-indikatoren-gelb): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:statusCode[@code = 'completed']
Item: (mts-indikatoren-gelb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:statusCode[@code = 'completed']"
         id="d42e1867-false-d25541e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="@nullFlavor or (@code='completed')">(mts-indikatoren-gelb): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.24
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:value
Item: (mts-indikatoren-gelb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.24']]/hl7:value"
         id="d42e1872-false-d25557e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(mts-indikatoren-gelb): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
