<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.25
Name: MTS-Indikatoren GRÜN
Description: MTS-Indikatoren GRÜN
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015">
   <title>MTS-Indikatoren GRÜN</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.25
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]
Item: (mts-indikatoren-grun)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.25
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]
Item: (mts-indikatoren-grun)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]"
         id="d42e1891-false-d25589e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="string(@classCode) = ('OBS')">(mts-indikatoren-grun): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="string(@moodCode) = ('EVN')">(mts-indikatoren-grun): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']) &gt;= 1">(mts-indikatoren-grun): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']) &lt;= 1">(mts-indikatoren-grun): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:code[(@code = 'SCTPOCC-394848005' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]) &gt;= 1">(mts-indikatoren-grun): Element hl7:code[(@code = 'SCTPOCC-394848005' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:code[(@code = 'SCTPOCC-394848005' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]) &lt;= 1">(mts-indikatoren-grun): Element hl7:code[(@code = 'SCTPOCC-394848005' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:text) &lt;= 1">(mts-indikatoren-grun): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(mts-indikatoren-grun): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(mts-indikatoren-grun): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:value) &gt;= 1">(mts-indikatoren-grun): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:value) &lt;= 1">(mts-indikatoren-grun): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.25
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']
Item: (mts-indikatoren-grun)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']"
         id="d42e1897-false-d25650e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.25')">(mts-indikatoren-grun): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.25' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.25
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:code[(@code = 'SCTPOCC-394848005' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]
Item: (mts-indikatoren-grun)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:code[(@code = 'SCTPOCC-394848005' and @codeSystem = '1.2.276.0.76.3.1.195.5.99')]"
         id="d42e1902-false-d25662e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="@nullFlavor or (@code='SCTPOCC-394848005' and @codeSystem='1.2.276.0.76.3.1.195.5.99' and @displayName='MTS-Indikatoren GRÜN')">(mts-indikatoren-grun): Der Elementinhalt MUSS einer von 'code 'SCTPOCC-394848005' codeSystem '1.2.276.0.76.3.1.195.5.99' displayName='MTS-Indikatoren GRÜN'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.25
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:text
Item: (mts-indikatoren-grun)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:text"
         id="d42e1907-false-d25675e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(mts-indikatoren-grun): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:reference) &gt;= 1">(mts-indikatoren-grun): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="count(hl7:reference) &lt;= 1">(mts-indikatoren-grun): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.25
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:text/hl7:reference
Item: (mts-indikatoren-grun)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:text/hl7:reference"
         id="d42e1912-false-d25694e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(mts-indikatoren-grun): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.25
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:statusCode[@code = 'completed']
Item: (mts-indikatoren-grun)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:statusCode[@code = 'completed']"
         id="d42e1916-false-d25705e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="@nullFlavor or (@code='completed')">(mts-indikatoren-grun): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.25
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:value
Item: (mts-indikatoren-grun)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.25']]/hl7:value"
         id="d42e1921-false-d25721e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(mts-indikatoren-grun): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
