<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.31
Name: Reise-Anamnese
Description: War der Patient innerhalb der letzten 12 Monate außerhalb Deutschlands und wo?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000">
   <title>Reise-Anamnese</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]"
         id="d42e2261-false-d26869e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]) &gt;= 1">(reise-anamnese): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]) &lt;= 1">(reise-anamnese): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]"
         id="d42e2316-false-d26886e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']) &gt;= 1">(reise-anamnese): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']) &lt;= 1">(reise-anamnese): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '8691-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(reise-anamnese): Element hl7:code[(@code = '8691-8' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '8691-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(reise-anamnese): Element hl7:code[(@code = '8691-8' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(reise-anamnese): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(reise-anamnese): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(reise-anamnese): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(reise-anamnese): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]) &gt;= 1">(reise-anamnese): Element hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]) &lt;= 1">(reise-anamnese): Element hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]) &gt;= 1">(reise-anamnese): Element hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]) &lt;= 1">(reise-anamnese): Element hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']"
         id="d42e2318-false-d26947e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.31')">(reise-anamnese): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.31' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:code[(@code = '8691-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:code[(@code = '8691-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2323-false-d26962e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="@nullFlavor or (@code='8691-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of Travel')">(reise-anamnese): Der Elementinhalt MUSS einer von 'code '8691-8' codeSystem '2.16.840.1.113883.6.1' displayName='History of Travel'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:text[not(@nullFlavor)]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:text[not(@nullFlavor)]"
         id="d42e2328-false-d26978e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="text()='Reise-Anamnese'">(reise-anamnese): Der Elementinhalt von 'hl7:text[not(@nullFlavor)]' MUSS ''Reise-Anamnese'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:title[not(@nullFlavor)]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:title[not(@nullFlavor)]"
         id="d42e2334-false-d26992e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="text()='War der Patient innerhalb der letzten 12 Monate außerhalb Deutschlands und wo?'">(reise-anamnese): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''War der Patient innerhalb der letzten 12 Monate außerhalb Deutschlands und wo?'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]"
         id="d42e2340-false-d27007e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@typeCode) = ('COMP')">(reise-anamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(reise-anamnese): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]) &gt;= 1">(reise-anamnese): Element hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]) &lt;= 1">(reise-anamnese): Element hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]/hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]/hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]"
         id="d42e2346-false-d27033e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(reise-anamnese): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(reise-anamnese): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(reise-anamnese): Element hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(reise-anamnese): Element hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(reise-anamnese): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(reise-anamnese): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(reise-anamnese): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(reise-anamnese): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]/hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]/hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]/hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]/hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e2352-false-d27079e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-138' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='War der Patient innerhalb der letzten 12 Monate außerhalb Deutschlands?')">(reise-anamnese): Der Elementinhalt MUSS einer von 'code 'FLN-138' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='War der Patient innerhalb der letzten 12 Monate außerhalb Deutschlands?'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]/hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]/hl7:statusCode[@code = 'completed']
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]/hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]/hl7:statusCode[@code = 'completed']"
         id="d42e2357-false-d27096e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(reise-anamnese): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]/hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]]/hl7:observation[hl7:code[(@code = 'FLN-138' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e2362-false-d27115e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'BL')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.195.11.21-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(reise-anamnese): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.195.11.21 Auslandsreise (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]"
         id="d42e2370-false-d27136e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@typeCode) = ('COMP')">(reise-anamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(reise-anamnese): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]) &gt;= 1">(reise-anamnese): Element hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]) &lt;= 1">(reise-anamnese): Element hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d42e2376-false-d27162e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(reise-anamnese): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(reise-anamnese): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(reise-anamnese): Element hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(reise-anamnese): Element hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(reise-anamnese): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(reise-anamnese): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(reise-anamnese): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(reise-anamnese): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e2382-false-d27208e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="@nullFlavor or (@code='161086008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Recent countries visited (observable entity)')">(reise-anamnese): Der Elementinhalt MUSS einer von 'code '161086008' codeSystem '2.16.840.1.113883.6.96' displayName='Recent countries visited (observable entity)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:statusCode[@code = 'completed']
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:statusCode[@code = 'completed']"
         id="d42e2387-false-d27225e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(reise-anamnese): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.31
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value
Item: (reise-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]/hl7:entry[hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:observation[hl7:code[(@code = '161086008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value"
         id="d42e2392-false-d27244e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'BL')">(reise-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
