<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.41
Name: Körperkerntemperatur
Description: Gemessene Temperatur bei Aufnahme [°C]
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356">
   <title>Körperkerntemperatur</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]"
         id="d42e3051-false-d29481e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]) &gt;= 1">(korperkerntemperatur): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]) &lt;= 1">(korperkerntemperatur): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]"
         id="d42e3062-false-d29498e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="string(@classCode) = ('OBS')">(korperkerntemperatur): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="string(@moodCode) = ('EVN')">(korperkerntemperatur): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']) &gt;= 1">(korperkerntemperatur): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']) &lt;= 1">(korperkerntemperatur): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:id) &lt;= 1">(korperkerntemperatur): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '276885007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(korperkerntemperatur): Element hl7:code[(@code = '276885007' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '276885007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(korperkerntemperatur): Element hl7:code[(@code = '276885007' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:text) &lt;= 1">(korperkerntemperatur): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(korperkerntemperatur): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(korperkerntemperatur): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) &gt;= 1">(korperkerntemperatur): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) &lt;= 1">(korperkerntemperatur): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:value) &gt;= 1">(korperkerntemperatur): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:value) &lt;= 1">(korperkerntemperatur): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']"
         id="d42e3068-false-d29570e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(korperkerntemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.41')">(korperkerntemperatur): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.41' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:id
Item: (korperkerntemperatur)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:code[(@code = '276885007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:code[(@code = '276885007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3075-false-d29593e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(korperkerntemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="@nullFlavor or (@code='276885007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Core body temperature (observable entity)')">(korperkerntemperatur): Der Elementinhalt MUSS einer von 'code '276885007' codeSystem '2.16.840.1.113883.6.96' displayName='Core body temperature (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:translation[(@code = '8329-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(korperkerntemperatur): Element hl7:translation[(@code = '8329-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:translation[(@code = '8329-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(korperkerntemperatur): Element hl7:translation[(@code = '8329-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:code[(@code = '276885007' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '8329-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:code[(@code = '276885007' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '8329-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3079-false-d29619e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(korperkerntemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="@nullFlavor or (@code='8329-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Body temperature - Core')">(korperkerntemperatur): Der Elementinhalt MUSS einer von 'code '8329-5' codeSystem '2.16.840.1.113883.6.1' displayName='Body temperature - Core'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:text
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:text"
         id="d42e3086-false-d29635e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(korperkerntemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:reference) &gt;= 1">(korperkerntemperatur): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="count(hl7:reference) &lt;= 1">(korperkerntemperatur): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:text/hl7:reference
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:text/hl7:reference"
         id="d42e3091-false-d29654e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(korperkerntemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:statusCode[@code = 'completed']
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:statusCode[@code = 'completed']"
         id="d42e3094-false-d29665e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(korperkerntemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="@nullFlavor or (@code='completed')">(korperkerntemperatur): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:effectiveTime
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:effectiveTime"
         id="d42e3099-false-d29681e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(korperkerntemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="not(*)">(korperkerntemperatur): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.41
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:value
Item: (korperkerntemperatur)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]/hl7:value"
         id="d42e3101-false-d29694e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(korperkerntemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="(@nullFlavor or (@unit='Cel'))">(korperkerntemperatur): value MUSS die Einheit 'Cel' nutzen </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(korperkerntemperatur): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(korperkerntemperatur): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
