<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.45
Name: Erste Schmerzmessung
Description: Erste Schmerzmessung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000">
   <title>Erste Schmerzmessung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]"
         id="d42e3414-false-d30928e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]) &gt;= 1">(erste-schmerzmessung): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]) &lt;= 1">(erste-schmerzmessung): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]"
         id="d42e3426-false-d30945e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(erste-schmerzmessung): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(erste-schmerzmessung): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']) &gt;= 1">(erste-schmerzmessung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']) &lt;= 1">(erste-schmerzmessung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-15' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(erste-schmerzmessung): Element hl7:code[(@code = 'FLN-15' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-15' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(erste-schmerzmessung): Element hl7:code[(@code = 'FLN-15' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(erste-schmerzmessung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(erste-schmerzmessung): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(erste-schmerzmessung): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(erste-schmerzmessung): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(erste-schmerzmessung): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(erste-schmerzmessung): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']"
         id="d42e3432-false-d31009e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(erste-schmerzmessung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.45')">(erste-schmerzmessung): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.45' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:code[(@code = 'FLN-15' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:code[(@code = 'FLN-15' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e3437-false-d31024e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(erste-schmerzmessung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-15' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Die niedrigste GCS-Summe während der Dokumentation')">(erste-schmerzmessung): Der Elementinhalt MUSS einer von 'code 'FLN-15' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Die niedrigste GCS-Summe während der Dokumentation'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:text
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:text"
         id="d42e3442-false-d31040e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(erste-schmerzmessung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(erste-schmerzmessung): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(erste-schmerzmessung): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:text/hl7:reference
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:text/hl7:reference"
         id="d42e3447-false-d31059e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(erste-schmerzmessung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:statusCode[@code = 'completed']
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:statusCode[@code = 'completed']"
         id="d42e3451-false-d31070e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(erste-schmerzmessung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(erste-schmerzmessung): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:effectiveTime
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:effectiveTime"
         id="d42e3456-false-d31086e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(erste-schmerzmessung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="not(*)">(erste-schmerzmessung): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.45
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:value
Item: (erste-schmerzmessung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]/hl7:value"
         id="d42e3458-false-d31099e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(erste-schmerzmessung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="(@nullFlavor or (number(@value)&gt;=0 and number(@value)&lt;=10))">(erste-schmerzmessung): value MUSS im Bereich [0..10] liegen  </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(erste-schmerzmessung): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(erste-schmerzmessung): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="@value">(erste-schmerzmessung): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.html"
              test="string(@unit) = ('{score}')">(erste-schmerzmessung): Der Wert von unit MUSS '{score}' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
