<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.68
Name: Abschlussdiagnosen
Description: Abschlussdiagnosen Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341">
   <title>Abschlussdiagnosen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.68
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]
Item: (abschlussdiagnosen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.68
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]
Item: (abschlussdiagnosen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]"
         id="d42e5057-false-d35552e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(abschlussdiagnosen): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']) &gt;= 1">(abschlussdiagnosen): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']) &lt;= 1">(abschlussdiagnosen): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:code[(@code = '11300-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(abschlussdiagnosen): Element hl7:code[(@code = '11300-1' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:code[(@code = '11300-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(abschlussdiagnosen): Element hl7:code[(@code = '11300-1' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(abschlussdiagnosen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(abschlussdiagnosen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(abschlussdiagnosen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(abschlussdiagnosen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]) &lt;= 1">(abschlussdiagnosen): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.68
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']
Item: (abschlussdiagnosen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']"
         id="d42e5061-false-d35611e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(abschlussdiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.68')">(abschlussdiagnosen): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.68' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.68
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:code[(@code = '11300-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (abschlussdiagnosen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:code[(@code = '11300-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5066-false-d35626e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(abschlussdiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="@nullFlavor or (@code='11300-1' and @codeSystem='2.16.840.1.113883.6.1')">(abschlussdiagnosen): Der Elementinhalt MUSS einer von 'code '11300-1' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.68
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:title[not(@nullFlavor)]
Item: (abschlussdiagnosen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:title[not(@nullFlavor)]"
         id="d42e5071-false-d35642e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(abschlussdiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="text()='Abschlussdiagnosen'">(abschlussdiagnosen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Abschlussdiagnosen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.68
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:text[not(@nullFlavor)]
Item: (abschlussdiagnosen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:text[not(@nullFlavor)]"
         id="d42e5077-false-d35656e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(abschlussdiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.68
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]
Item: (abschlussdiagnosen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.68']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="string(@typeCode) = ('COMP')">(abschlussdiagnosen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(abschlussdiagnosen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
