<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.89
Name: Wildcard Diagnostik
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030">
   <title>Wildcard Diagnostik</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]
Item: (WildcardDiagnostik)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]"
         id="d42e6482-false-d40869e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="string(@classCode) = ('OBS')">(WildcardDiagnostik): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="string(@moodCode) = ('EVN')">(WildcardDiagnostik): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(WildcardDiagnostik): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']) &gt;= 1">(WildcardDiagnostik): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']) &lt;= 1">(WildcardDiagnostik): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(WildcardDiagnostik): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(WildcardDiagnostik): Element hl7:code[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(WildcardDiagnostik): Element hl7:code[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(WildcardDiagnostik): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(WildcardDiagnostik): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[@xsi:type='IVL_TS'] | hl7:effectiveTime[@xsi:type='TS'])"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="$elmcount &lt;= 1">(WildcardDiagnostik): Auswahl (hl7:effectiveTime[@xsi:type='IVL_TS']  oder  hl7:effectiveTime[@xsi:type='TS']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:effectiveTime[@xsi:type='IVL_TS']) &lt;= 1">(WildcardDiagnostik): Element hl7:effectiveTime[@xsi:type='IVL_TS'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:effectiveTime[@xsi:type='TS']) &lt;= 1">(WildcardDiagnostik): Element hl7:effectiveTime[@xsi:type='TS'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(WildcardDiagnostik): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(WildcardDiagnostik): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:reference[not(@nullFlavor)][hl7:externalDocument]) &gt;= 1">(WildcardDiagnostik): Element hl7:reference[not(@nullFlavor)][hl7:externalDocument] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:reference[not(@nullFlavor)][hl7:externalDocument]) &lt;= 1">(WildcardDiagnostik): Element hl7:reference[not(@nullFlavor)][hl7:externalDocument] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']"
         id="d42e6490-false-d40951e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.89')">(WildcardDiagnostik): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.89' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:id[not(@nullFlavor)]
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:id[not(@nullFlavor)]"
         id="d42e6495-false-d40965e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:code[not(@nullFlavor)]
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:code[not(@nullFlavor)]"
         id="d42e6498-false-d40975e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:statusCode[@code = 'completed']
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:statusCode[@code = 'completed']"
         id="d42e6504-false-d40986e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="@nullFlavor or (@code='completed')">(WildcardDiagnostik): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:effectiveTime[@xsi:type='IVL_TS']
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:effectiveTime[@xsi:type='IVL_TS']"
         id="d42e6511-false-d41000e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:low) &lt;= 1">(WildcardDiagnostik): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:high) &lt;= 1">(WildcardDiagnostik): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low"
         id="d42e6516-false-d41023e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="not(*)">(WildcardDiagnostik): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high"
         id="d42e6518-false-d41036e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="not(*)">(WildcardDiagnostik): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:effectiveTime[@xsi:type='TS']
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:effectiveTime[@xsi:type='TS']"
         id="d42e6521-false-d41047e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="not(*)">(WildcardDiagnostik): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:value[not(@nullFlavor)]
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:value[not(@nullFlavor)]"
         id="d42e6524-false-d41060e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]"
         id="d42e6530-false-d41068e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:externalDocument[not(@nullFlavor)]) &gt;= 1">(WildcardDiagnostik): Element hl7:externalDocument[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:externalDocument[not(@nullFlavor)]) &lt;= 1">(WildcardDiagnostik): Element hl7:externalDocument[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]"
         id="d42e6532-false-d41084e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(WildcardDiagnostik): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(WildcardDiagnostik): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text[not(@nullFlavor)]
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text[not(@nullFlavor)]"
         id="d42e6548-false-d41100e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(WildcardDiagnostik): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(WildcardDiagnostik): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.89
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (WildcardDiagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d42e6550-false-d41119e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(WildcardDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
