<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.33
Name: Vitalparameter/Scores
Description: Vitalparameter und Scores Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903">
   <title>Vitalparameter/Scores</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]
Item: (vitalparameter-scores)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]
Item: (vitalparameter-scores)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]"
         id="d42e2436-false-d27391e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(vitalparameter-scores): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']) &gt;= 1">(vitalparameter-scores): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']) &lt;= 1">(vitalparameter-scores): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(vitalparameter-scores): Element hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(vitalparameter-scores): Element hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(vitalparameter-scores): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(vitalparameter-scores): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(vitalparameter-scores): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(vitalparameter-scores): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]) &lt;= 1">(vitalparameter-scores): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]) &lt;= 1">(vitalparameter-scores): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']
Item: (vitalparameter-scores)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']"
         id="d42e2440-false-d27527e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(vitalparameter-scores): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.33')">(vitalparameter-scores): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.33' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (vitalparameter-scores)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2445-false-d27542e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(vitalparameter-scores): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="@nullFlavor or (@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')">(vitalparameter-scores): Der Elementinhalt MUSS einer von 'code '8716-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:title[not(@nullFlavor)]
Item: (vitalparameter-scores)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:title[not(@nullFlavor)]"
         id="d42e2450-false-d27558e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(vitalparameter-scores): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:text[not(@nullFlavor)]
Item: (vitalparameter-scores)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:text[not(@nullFlavor)]"
         id="d42e2452-false-d27568e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(vitalparameter-scores): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.35']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.35']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.40']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.40']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.41']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.33
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]
Item: (vitalparameter-scores)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.33']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.45']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@typeCode) = ('COMP')">(vitalparameter-scores): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(vitalparameter-scores): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
