<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.74
Name: Kombination Typen Verlegung und Entlassung
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Kombination der Typ Verlegung und Typ Entlassung für NoKeda
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000">
   <title>Kombination Typen Verlegung und Entlassung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]"
         id="d42e5666-false-d37738e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]) &gt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]) &lt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]"
         id="d42e5677-false-d37755e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(kombination_typen_verlegung_und_entlassung): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(kombination_typen_verlegung_und_entlassung): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']) &gt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']) &lt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-123' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:code[(@code = 'FLN-123' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-123' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:code[(@code = 'FLN-123' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']"
         id="d42e5683-false-d37824e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(kombination_typen_verlegung_und_entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.74')">(kombination_typen_verlegung_und_entlassung): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.74' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:code[(@code = 'FLN-123' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:code[(@code = 'FLN-123' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e5688-false-d37839e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(kombination_typen_verlegung_und_entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-123' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Kombination Typen Verlegung und Entlassung')">(kombination_typen_verlegung_und_entlassung): Der Elementinhalt MUSS einer von 'code 'FLN-123' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Kombination Typen Verlegung und Entlassung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:text
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:text"
         id="d42e5693-false-d37855e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(kombination_typen_verlegung_und_entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(kombination_typen_verlegung_und_entlassung): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:text/hl7:reference
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:text/hl7:reference"
         id="d42e5698-false-d37874e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(kombination_typen_verlegung_und_entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:statusCode[@code = 'completed']
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:statusCode[@code = 'completed']"
         id="d42e5702-false-d37885e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(kombination_typen_verlegung_und_entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(kombination_typen_verlegung_und_entlassung): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:effectiveTime
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:effectiveTime"
         id="d42e5707-false-d37901e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(kombination_typen_verlegung_und_entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="not(*)">(kombination_typen_verlegung_und_entlassung): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.74
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (kombination_typen_verlegung_und_entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e5709-false-d37919e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(kombination_typen_verlegung_und_entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.195.11.7-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-1.2.276.0.76.3.1.195.11.26-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(kombination_typen_verlegung_und_entlassung): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.195.11.7 Typ Entlassung (DYNAMIC) oder 1.2.276.0.76.3.1.195.11.26 Typ Verlegung (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
