<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.79
Name: Datum Beginn patientenbezogene Dokumentation
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Datum des Beginns der patientenbezogenen Dokumentation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000">
   <title>Datum Beginn patientenbezogene Dokumentation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]"
         id="d42e5910-false-d38716e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]) &gt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]) &lt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]"
         id="d42e5921-false-d38733e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(datum_beginn_patientenbezogene_dokumentation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(datum_beginn_patientenbezogene_dokumentation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']) &gt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']) &lt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-128' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:code[(@code = 'FLN-128' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-128' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:code[(@code = 'FLN-128' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']"
         id="d42e5927-false-d38797e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(datum_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.79')">(datum_beginn_patientenbezogene_dokumentation): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.79' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:code[(@code = 'FLN-128' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:code[(@code = 'FLN-128' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e5932-false-d38812e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(datum_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-128' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Datum Beginn patientenbezogene Dokumentation')">(datum_beginn_patientenbezogene_dokumentation): Der Elementinhalt MUSS einer von 'code 'FLN-128' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Datum Beginn patientenbezogene Dokumentation'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:text
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:text"
         id="d42e5937-false-d38828e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(datum_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(datum_beginn_patientenbezogene_dokumentation): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:text/hl7:reference
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:text/hl7:reference"
         id="d42e5942-false-d38847e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(datum_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:statusCode[@code = 'completed']
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:statusCode[@code = 'completed']"
         id="d42e5946-false-d38858e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(datum_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(datum_beginn_patientenbezogene_dokumentation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:effectiveTime
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:effectiveTime"
         id="d42e5951-false-d38874e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(datum_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="not(*)">(datum_beginn_patientenbezogene_dokumentation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.79
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:value
Item: (datum_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]/hl7:value"
         id="d42e5953-false-d38887e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(datum_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.html"
              test="not(*)">(datum_beginn_patientenbezogene_dokumentation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
